### Property

# Gtk AlertDialog:buttons

since: 4.10

#### Declaration

    property buttons: string[] [ read, write ]

#### Description [src]

Labels for buttons to show in the alert.

The labels should be translated and may contain a _ to indicate the mnemonic character.

If this property is not set, then a ‘Close’ button is automatically created.

Type: | An array of `char*`
Available since: | 4.10

Getter method | `gtk_alert_dialog_get_buttons()`
Setter method | `gtk_alert_dialog_set_buttons()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no